<?php

declare(strict_types=1);

namespace Drupal\Tests\ai_provider_openrouter\Kernel;

use Drupal\KernelTests\KernelTestBase;
use Drupal\ai\AiProviderPluginManager;

/**
 * Kernel test for OpenRouterProvider plugin registration.
 *
 * @group ai_provider_openrouter
 */
class OpenRouterProviderKernelTest extends KernelTestBase {

  protected static $modules = [
    'system',
    'user',
    'ai',
    'key',
    'ai_provider_openrouter',
  ];

  public function testProviderIsDiscoverable() {
    $manager = \Drupal::service('plugin.manager.ai_provider');
    $plugin_ids = array_keys($manager->getDefinitions());
    $this->assertContains('openrouter', $plugin_ids, 'OpenRouter provider plugin is registered.');
  }
}
